import 'package:diplomaticquarterapp/widgets/data_display/text.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter_svg/flutter_svg.dart';

class AccountItem extends StatelessWidget {
  final String title;
  final String itemIcon;
  final bool isTerms;

  const AccountItem({this.title, this.itemIcon, this.isTerms = false});

  @override
  Widget build(BuildContext context) {
    return Row(
      children: <Widget>[
        isTerms == false
            ? Container(
                height: 35.0,
                width: 35.0,
                child: SvgPicture.asset(
                  '$itemIcon',
                  width: 35,
                  height: 35,
                ),
              )
            : Container(
                height: 35.0,
                width: 35.0,
                child: Image.asset(
                  '$itemIcon',
                  width: 35,
                  height: 35,
                ),
              ),
        Row(
          mainAxisAlignment: MainAxisAlignment.start,
          children: [
            SizedBox(
              width: 20,
            ),
            Texts(
              title,
              fontSize: 15.0,
            ),
          ],
        )
      ],
    );
  }
}
